Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1780)
+++ palm/trunk/SOURCE/Makefile	(revision 1783)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# 
+# name change of netcdf routines and respective dependencies
 # 
 # Former revisions:
@@ -256,6 +256,6 @@
 	lpm_write_exchange_statistics.f90 lpm_write_restart_file.f90 \
 	ls_forcing.f90 message.f90 microphysics.f90 modules.f90 mod_kinds.f90 \
-	mod_particle_attributes.f90 netcdf.f90 nudging.f90 package_parin.f90 \
-	palm.f90 parin.f90 plant_canopy_model.f90 pmc_interface.f90 \
+	mod_particle_attributes.f90 netcdf_interface.f90 nudging.f90 \
+	package_parin.f90 palm.f90 parin.f90 plant_canopy_model.f90 pmc_interface.f90 \
 	pmc_client.f90 pmc_general.f90 pmc_handle_communicator.f90 pmc_mpi_wrapper.f90 \
 	pmc_server.f90 \
@@ -335,8 +335,9 @@
 calc_spectra.o: modules.o cpulog.o fft_xy.o mod_kinds.o
 check_for_restart.o: modules.o mod_kinds.o
-check_open.o: modules.o mod_kinds.o mod_particle_attributes.o
-check_parameters.o: modules.o mod_kinds.o land_surface_model.o\
-	plant_canopy_model.o pmc_interface.o radiation_model.o subsidence.o
-close_file.o: modules.o mod_kinds.o
+check_open.o: modules.o mod_kinds.o mod_particle_attributes.o netcdf_interface.o
+check_parameters.o: modules.o mod_kinds.o land_surface_model.o \
+	netcdf_interface.o plant_canopy_model.o pmc_interface.o radiation_model.o \
+	subsidence.o
+close_file.o: modules.o mod_kinds.o netcdf_interface.o
 compute_vpt.o: modules.o mod_kinds.o
 coriolis.o: modules.o mod_kinds.o
@@ -346,13 +347,15 @@
 data_log.o: modules.o mod_kinds.o
 data_output_dvrp.o: modules.o cpulog.o mod_kinds.o
-data_output_mask.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
-data_output_profiles.o: modules.o cpulog.o mod_kinds.o
-data_output_ptseries.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
-data_output_spectra.o: modules.o cpulog.o mod_kinds.o
-data_output_tseries.o: modules.o cpulog.o mod_kinds.o
+data_output_mask.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o \
+   netcdf_interface.o
+data_output_profiles.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o
+data_output_ptseries.o: modules.o cpulog.o mod_kinds.o \
+   netcdf_interface.o mod_particle_attributes.o
+data_output_spectra.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o
+data_output_tseries.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o
 data_output_2d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o\
-                  land_surface_model.o radiation_model.o
+   netcdf_interface.o land_surface_model.o radiation_model.o
 data_output_3d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o\
-                  land_surface_model.o
+   netcdf_interface.o land_surface_model.o
 diffusion_e.o: modules.o mod_kinds.o
 diffusion_s.o: modules.o mod_kinds.o
@@ -369,14 +372,15 @@
 fft_xy.o: cuda_fft_interfaces.o modules.o mod_kinds.o singleton.o temperton_fft.o
 flow_statistics.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
-                   radiation_model.o
+   netcdf_interface.o radiation_model.o
 global_min_max.o: modules.o mod_kinds.o
-header.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
+header.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o land_surface_model.o\
           plant_canopy_model.o pmc_interface.o radiation_model.o subsidence.o 
 impact_of_latent_heat.o: modules.o mod_kinds.o
 inflow_turbulence.o: modules.o cpulog.o mod_kinds.o
 init_1d_model.o: modules.o mod_kinds.o
-init_3d_model.o: modules.o cpulog.o mod_kinds.o random_function.o advec_ws.o\
-	land_surface_model.o ls_forcing.o lpm_init.o plant_canopy_model.o\
-	radiation_model.o random_generator_parallel.o surface_layer_fluxes.o
+init_3d_model.o: modules.o mod_kinds.o advec_ws.o cpulog.o land_surface_model.o \
+   lpm_init.o ls_forcing.o netcdf_interface.o plant_canopy_model.o \
+   radiation_model.o random_function.o random_generator_parallel.o \
+	surface_layer_fluxes.o
 init_advec.o: modules.o mod_kinds.o
 init_cloud_physics.o: modules.o mod_kinds.o
@@ -384,5 +388,5 @@
 init_dvrp.o: modules.o mod_kinds.o
 init_grid.o: modules.o mod_kinds.o
-init_masks.o: modules.o mod_kinds.o
+init_masks.o: modules.o mod_kinds.o netcdf_interface.o
 init_ocean.o: modules.o eqn_state_seawater.o mod_kinds.o
 init_pegrid.o: modules.o mod_kinds.o
@@ -406,5 +410,5 @@
 	mod_particle_attributes.o
 lpm_data_output_particles.o: modules.o cpulog.o mod_kinds.o \
-	mod_particle_attributes.o
+	mod_particle_attributes.o netcdf_interface.o
 lpm_droplet_collision.o: modules.o cpulog.o lpm_collision_kernels.o \
 	mod_kinds.o mod_particle_attributes.o
@@ -412,10 +416,10 @@
 	mod_kinds.o mod_particle_attributes.o
 lpm_exchange_horiz.o: modules.o cpulog.o lpm_pack_arrays.o mod_kinds.o \
-	mod_particle_attributes.o
+	mod_particle_attributes.o netcdf_interface.o
 lpm_extend_tails.o: modules.o mod_kinds.o mod_particle_attributes.o
 lpm_extend_tail_array.o: modules.o mod_kinds.o mod_particle_attributes.o
 lpm_init.o: modules.o lpm_collision_kernels.o mod_kinds.o \
-	random_function.o mod_particle_attributes.o lpm_exchange_horiz.o \
-	lpm_pack_arrays.o random_generator_parallel.o
+	netcdf_interface.o random_function.o mod_particle_attributes.o \
+	lpm_exchange_horiz.o lpm_pack_arrays.o random_generator_parallel.o
 lpm_init_sgs_tke.o: modules.o mod_kinds.o mod_particle_attributes.o
 lpm_pack_arrays.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
@@ -433,5 +437,5 @@
 mod_kinds.o: mod_kinds.f90
 mod_particle_attributes.o: mod_particle_attributes.f90 mod_kinds.o
-netcdf.o: modules.o mod_kinds.o land_surface_model.o
+netcdf_interface.o: netcdf_interface.f90 modules.o mod_kinds.o land_surface_model.o
 nudging.o: modules.o cpulog.o mod_kinds.o
 package_parin.o: modules.o mod_kinds.o land_surface_model.o\
@@ -439,5 +443,6 @@
 palm.o: modules.o cpulog.o ls_forcing.o mod_kinds.o nudging.o\
 	pmc_interface.o surface_layer_fluxes.o
-parin.o: modules.o cpulog.o mod_kinds.o pmc_interface.o progress_bar.o
+parin.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o \
+   pmc_interface.o progress_bar.o
 plant_canopy_model.o: modules.o mod_kinds.o
 pmc_interface.o: modules.o mod_kinds.o pmc_client.o pmc_general.o\
@@ -470,5 +475,5 @@
                   radiation_model.o random_function.o\
                   random_generator_parallel.o
-read_var_list.o: modules.o mod_kinds.o plant_canopy_model.o
+read_var_list.o: modules.o mod_kinds.o netcdf_interface.o plant_canopy_model.o
 run_control.o: modules.o cpulog.o mod_kinds.o
 set_slicer_attributes_dvrp.o: modules.o mod_kinds.o
@@ -497,5 +502,6 @@
 user_additional_routines.o: modules.o mod_kinds.o user_module.o
 user_check_data_output.o: modules.o mod_kinds.o user_module.o
-user_check_data_output_pr.o: modules.o mod_kinds.o user_module.o
+user_check_data_output_pr.o: modules.o mod_kinds.o user_module.o \
+   netcdf_interface.o
 user_check_parameters.o: modules.o mod_kinds.o user_module.o
 user_data_output_2d.o: modules.o mod_kinds.o user_module.o
@@ -506,5 +512,5 @@
 user_dvrp_coltab.o: modules.o mod_kinds.o user_module.o
 user_header.o: modules.o mod_kinds.o user_module.o
-user_init.o: modules.o mod_kinds.o user_module.o
+user_init.o: modules.o mod_kinds.o netcdf_interface.o user_module.o
 user_init_3d_model.o: modules.o mod_kinds.o user_module.o
 user_init_grid.o: modules.o mod_kinds.o user_module.o
@@ -520,8 +526,8 @@
 user_read_restart_data.o: modules.o mod_kinds.o user_module.o
 user_spectra.o: modules.o mod_kinds.o user_module.o
-user_statistics.o: modules.o mod_kinds.o user_module.o
+user_statistics.o: modules.o mod_kinds.o netcdf_interface.o user_module.o
 wall_fluxes.o: modules.o mod_kinds.o
 write_3d_binary.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
                    radiation_model.o random_function.o\
                    random_generator_parallel.o
-write_var_list.o: modules.o mod_kinds.o plant_canopy_model.o 
+write_var_list.o: modules.o mod_kinds.o netcdf_interface.o plant_canopy_model.o 
